import isReactModuleName from './isReactModuleName.js';
import match from './match.js';
import resolveToModule from './resolveToModule.js';
// TODO unit tests
/**
 * Returns true if the expression is a function call of the form
 * `React.Children.only(...)`.
 */
export default function isReactChildrenElementCall(path) {
    if (path.isExpressionStatement()) {
        path = path.get('expression');
    }
    if (!match(path.node, { callee: { property: { name: 'only' } } }) &&
        !match(path.node, { callee: { property: { name: 'map' } } })) {
        return false;
    }
    const calleeObj = path.get('callee').get('object');
    if (!match(calleeObj.node, { property: { name: 'Children' } })) {
        return false;
    }
    const module = resolveToModule(calleeObj);
    return Boolean(module && isReactModuleName(module));
}
